<?php

namespace Drupal\pm_board\Entity;

use Drupal\Core\Config\Entity\ConfigEntityBundleBase;

/**
 * Defines the Board Column type configuration entity.
 *
 * @ConfigEntityType(
 *   id = "pm_board_column_type",
 *   label = @Translation("Board Column type"),
 *   label_collection = @Translation("Board Column types"),
 *   label_singular = @Translation("Board Column type"),
 *   label_plural = @Translation("Board Columns types"),
 *   label_count = @PluralTranslation(
 *     singular = "@count Board Columns type",
 *     plural = "@count Board Columns types",
 *   ),
 *   handlers = {
 *     "form" = {
 *       "add" = "Drupal\pm_board\Form\PmBoardColumnTypeForm",
 *       "edit" = "Drupal\pm_board\Form\PmBoardColumnTypeForm",
 *       "delete" = "Drupal\Core\Entity\EntityDeleteForm",
 *     },
 *     "list_builder" = "Drupal\pm_board\PmBoardColumnTypeListBuilder",
 *     "route_provider" = {
 *       "html" = "Drupal\Core\Entity\Routing\AdminHtmlRouteProvider",
 *     }
 *   },
 *   admin_permission = "administer pm board column types",
 *   bundle_of = "pm_board_column",
 *   config_prefix = "pm_board_column_type",
 *   entity_keys = {
 *     "id" = "id",
 *     "label" = "label",
 *     "uuid" = "uuid"
 *   },
 *   links = {
 *     "add-form" = "/admin/pm/board_column_types/add",
 *     "edit-form" = "/admin/pm/board_column_types/manage/{pm_board_column_type}",
 *     "delete-form" = "/admin/pm/board_column_types/manage/{pm_board_column_type}/delete",
 *     "collection" = "/admin/pm/board_column_types"
 *   },
 *   config_export = {
 *     "id",
 *     "label",
 *     "uuid",
 *   }
 * )
 */
class PmBoardColumnType extends ConfigEntityBundleBase {

  /**
   * The machine name of this Board Column type.
   *
   * @var string
   */
  protected $id;

  /**
   * The human-readable name of the Board Column type.
   *
   * @var string
   */
  protected $label;

}
