<?php

namespace Drupal\pm_board\Entity;

use Drupal\Core\Config\Entity\ConfigEntityBundleBase;

/**
 * Defines the PM Board type configuration entity.
 *
 * @ConfigEntityType(
 *   id = "pm_board_type",
 *   label = @Translation("Board type"),
 *   label_collection = @Translation("Board types"),
 *   label_singular = @Translation("Board type"),
 *   label_plural = @Translation("Boards types"),
 *   label_count = @PluralTranslation(
 *     singular = "@count Boards type",
 *     plural = "@count Boards types",
 *   ),
 *   handlers = {
 *     "form" = {
 *       "add" = "Drupal\pm_board\Form\PmBoardTypeForm",
 *       "edit" = "Drupal\pm_board\Form\PmBoardTypeForm",
 *       "delete" = "Drupal\Core\Entity\EntityDeleteForm",
 *     },
 *     "list_builder" = "Drupal\pm_board\PmBoardTypeListBuilder",
 *     "route_provider" = {
 *       "html" = "Drupal\Core\Entity\Routing\AdminHtmlRouteProvider",
 *     }
 *   },
 *   admin_permission = "administer pm board types",
 *   bundle_of = "pm_board",
 *   config_prefix = "pm_board_type",
 *   entity_keys = {
 *     "id" = "id",
 *     "label" = "label",
 *     "uuid" = "uuid"
 *   },
 *   links = {
 *     "add-form" = "/admin/pm/board_types/add",
 *     "edit-form" = "/admin/pm/board_types/manage/{pm_board_type}",
 *     "delete-form" = "/admin/pm/board_types/manage/{pm_board_type}/delete",
 *     "collection" = "/admin/pm/board_types"
 *   },
 *   config_export = {
 *     "id",
 *     "label",
 *     "uuid",
 *   }
 * )
 */
class PmBoardType extends ConfigEntityBundleBase {

  /**
   * The machine name of this pm board type.
   *
   * @var string
   */
  protected $id;

  /**
   * The human-readable name of the pm board type.
   *
   * @var string
   */
  protected $label;

}
