<?php

namespace Drupal\pm_epic\Entity;

use Drupal\Core\Config\Entity\ConfigEntityBundleBase;

/**
 * Defines the PM Epic type configuration entity.
 *
 * @ConfigEntityType(
 *   id = "pm_epic_type",
 *   label = @Translation("Epic type"),
 *   label_collection = @Translation("Epic types"),
 *   label_singular = @Translation("Eepic type"),
 *   label_plural = @Translation("Epics types"),
 *   label_count = @PluralTranslation(
 *     singular = "@count Epics type",
 *     plural = "@count Epics types",
 *   ),
 *   handlers = {
 *     "form" = {
 *       "add" = "Drupal\pm_epic\Form\PmEpicTypeForm",
 *       "edit" = "Drupal\pm_epic\Form\PmEpicTypeForm",
 *       "delete" = "Drupal\Core\Entity\EntityDeleteForm",
 *     },
 *     "list_builder" = "Drupal\pm_epic\PmEpicTypeListBuilder",
 *     "route_provider" = {
 *       "html" = "Drupal\Core\Entity\Routing\AdminHtmlRouteProvider",
 *     }
 *   },
 *   admin_permission = "administer pm epic types",
 *   bundle_of = "pm_epic",
 *   config_prefix = "pm_epic_type",
 *   entity_keys = {
 *     "id" = "id",
 *     "label" = "label",
 *     "uuid" = "uuid"
 *   },
 *   links = {
 *     "add-form" = "/admin/pm/epic_types/add",
 *     "edit-form" = "/admin/pm/epic_types/manage/{pm_epic_type}",
 *     "delete-form" = "/admin/pm/epic_types/manage/{pm_epic_type}/delete",
 *     "collection" = "/admin/pm/epic_types"
 *   },
 *   config_export = {
 *     "id",
 *     "label",
 *     "uuid",
 *   }
 * )
 */
class PmEpicType extends ConfigEntityBundleBase {

  /**
   * The machine name of this pm epic type.
   *
   * @var string
   */
  protected $id;

  /**
   * The human-readable name of the pm epic type.
   *
   * @var string
   */
  protected $label;

}
