<?php

namespace Drupal\pm_expense\Entity;

use Drupal\pm_expense\PmExpenseInterface;
use Drupal\pm\PmContentEntityBase;

/**
 * Defines the Expense entity class.
 *
 * @ContentEntityType(
 *   id = "pm_expense",
 *   label = @Translation("Expense"),
 *   label_collection = @Translation("Expenses"),
 *   label_singular = @Translation("Expense"),
 *   label_plural = @Translation("Expenses"),
 *   label_count = @PluralTranslation(
 *     singular = "@count Expenses",
 *     plural = "@count Expenses",
 *   ),
 *   bundle_label = @Translation("Expense type"),
 *   handlers = {
 *     "list_builder" = "Drupal\pm_expense\PmExpenseListBuilder",
 *     "views_data" = "Drupal\views\EntityViewsData",
 *     "access" = "Drupal\pm_expense\PmExpenseAccessControlHandler",
 *     "form" = {
 *       "add" = "Drupal\pm_expense\Form\PmExpenseForm",
 *       "edit" = "Drupal\pm_expense\Form\PmExpenseForm",
 *       "delete" = "Drupal\Core\Entity\ContentEntityDeleteForm",
 *     },
 *     "route_provider" = {
 *       "html" = "Drupal\Core\Entity\Routing\AdminHtmlRouteProvider",
 *     }
 *   },
 *   base_table = "pm_expense",
 *   admin_permission = "administer pm expense types",
 *   entity_keys = {
 *     "id" = "id",
 *     "bundle" = "bundle",
 *     "label" = "label",
 *     "uuid" = "uuid",
 *     "owner" = "uid",
 *   },
 *   links = {
 *     "collection" = "/admin/pm/expense",
 *     "add-form" = "/pm/expense/add/{pm_expense_type}",
 *     "add-page" = "/pm/expense/add",
 *     "canonical" = "/pm/expense/{pm_expense}",
 *     "edit-form" = "/pm/expense/{pm_expense}/edit",
 *     "delete-form" = "/pm/expense/{pm_expense}/delete",
 *   },
 *   bundle_entity_type = "pm_expense_type",
 *   field_ui_base_route = "entity.pm_expense_type.edit_form",
 * )
 */
class PmExpense extends PmContentEntityBase implements PmExpenseInterface {

  /**
   * {@inheritdoc}
   */
  public static function getPmContentEntityBaseFieldNames() {
    return [
      'pm_project',
    ];
  }

}
