<?php

namespace Drupal\pm_expense\Entity;

use Drupal\Core\Config\Entity\ConfigEntityBundleBase;

/**
 * Defines the Expense type configuration entity.
 *
 * @ConfigEntityType(
 *   id = "pm_expense_type",
 *   label = @Translation("Expense type"),
 *   label_collection = @Translation("Expense types"),
 *   label_singular = @Translation("Expense type"),
 *   label_plural = @Translation("Expenses types"),
 *   label_count = @PluralTranslation(
 *     singular = "@count Expenses type",
 *     plural = "@count Expenses types",
 *   ),
 *   handlers = {
 *     "form" = {
 *       "add" = "Drupal\pm_expense\Form\PmExpenseTypeForm",
 *       "edit" = "Drupal\pm_expense\Form\PmExpenseTypeForm",
 *       "delete" = "Drupal\Core\Entity\EntityDeleteForm",
 *     },
 *     "list_builder" = "Drupal\pm_expense\PmExpenseTypeListBuilder",
 *     "route_provider" = {
 *       "html" = "Drupal\Core\Entity\Routing\AdminHtmlRouteProvider",
 *     }
 *   },
 *   admin_permission = "administer Expense types",
 *   bundle_of = "pm_expense",
 *   config_prefix = "pm_expense_type",
 *   entity_keys = {
 *     "id" = "id",
 *     "label" = "label",
 *     "uuid" = "uuid"
 *   },
 *   links = {
 *     "add-form" = "/admin/pm/expense_types/add",
 *     "edit-form" = "/admin/pm/expense_types/manage/{pm_expense_type}",
 *     "delete-form" = "/admin/pm/expense_types/manage/{pm_expense_type}/delete",
 *     "collection" = "/admin/pm/expense_types"
 *   },
 *   config_export = {
 *     "id",
 *     "label",
 *     "uuid",
 *   }
 * )
 */
class PmExpenseType extends ConfigEntityBundleBase {

  /**
   * The machine name of this Expense type.
   *
   * @var string
   */
  protected $id;

  /**
   * The human-readable name of the Expense type.
   *
   * @var string
   */
  protected $label;

}
