<?php

namespace Drupal\pm_feature\Entity;

use Drupal\Core\Config\Entity\ConfigEntityBundleBase;

/**
 * Defines the Feature type configuration entity.
 *
 * @ConfigEntityType(
 *   id = "pm_feature_type",
 *   label = @Translation("Feature type"),
 *   label_collection = @Translation("Feature types"),
 *   label_singular = @Translation("Feature type"),
 *   label_plural = @Translation("Features types"),
 *   label_count = @PluralTranslation(
 *     singular = "@count Features type",
 *     plural = "@count Features types",
 *   ),
 *   handlers = {
 *     "form" = {
 *       "add" = "Drupal\pm_feature\Form\PmFeatureTypeForm",
 *       "edit" = "Drupal\pm_feature\Form\PmFeatureTypeForm",
 *       "delete" = "Drupal\Core\Entity\EntityDeleteForm",
 *     },
 *     "list_builder" = "Drupal\pm_feature\PmFeatureTypeListBuilder",
 *     "route_provider" = {
 *       "html" = "Drupal\Core\Entity\Routing\AdminHtmlRouteProvider",
 *     }
 *   },
 *   admin_permission = "administer pm feature types",
 *   bundle_of = "pm_feature",
 *   config_prefix = "pm_feature_type",
 *   entity_keys = {
 *     "id" = "id",
 *     "label" = "label",
 *     "uuid" = "uuid"
 *   },
 *   links = {
 *     "add-form" = "/admin/pm/feature_types/add",
 *     "edit-form" = "/admin/pm/feature_types/manage/{pm_feature_type}",
 *     "delete-form" = "/admin/pm/feature_types/manage/{pm_feature_type}/delete",
 *     "collection" = "/admin/pm/feature_types"
 *   },
 *   config_export = {
 *     "id",
 *     "label",
 *     "uuid",
 *   }
 * )
 */
class PmFeatureType extends ConfigEntityBundleBase {

  /**
   * The machine name of this Feature type.
   *
   * @var string
   */
  protected $id;

  /**
   * The human-readable name of the Feature type.
   *
   * @var string
   */
  protected $label;

}
