<?php

namespace Drupal\pm_invoice\Entity;

use Drupal\Core\Config\Entity\ConfigEntityBundleBase;

/**
 * Defines the Invoice type configuration entity.
 *
 * @ConfigEntityType(
 *   id = "pm_invoice_type",
 *   label = @Translation("Invoice type"),
 *   label_collection = @Translation("Invoice types"),
 *   label_singular = @Translation("Invoice type"),
 *   label_plural = @Translation("Invoices types"),
 *   label_count = @PluralTranslation(
 *     singular = "@count Invoices type",
 *     plural = "@count Invoices types",
 *   ),
 *   handlers = {
 *     "form" = {
 *       "add" = "Drupal\pm_invoice\Form\PmInvoiceTypeForm",
 *       "edit" = "Drupal\pm_invoice\Form\PmInvoiceTypeForm",
 *       "delete" = "Drupal\Core\Entity\EntityDeleteForm",
 *     },
 *     "list_builder" = "Drupal\pm_invoice\PmInvoiceTypeListBuilder",
 *     "route_provider" = {
 *       "html" = "Drupal\Core\Entity\Routing\AdminHtmlRouteProvider",
 *     }
 *   },
 *   admin_permission = "administer pm invoice types",
 *   bundle_of = "pm_invoice",
 *   config_prefix = "pm_invoice_type",
 *   entity_keys = {
 *     "id" = "id",
 *     "label" = "label",
 *     "uuid" = "uuid"
 *   },
 *   links = {
 *     "add-form" = "/admin/pm/invoice_types/add",
 *     "edit-form" = "/admin/pm/invoice_types/manage/{pm_invoice_type}",
 *     "delete-form" = "/admin/pm/invoice_types/manage/{pm_invoice_type}/delete",
 *     "collection" = "/admin/pm/invoice_types"
 *   },
 *   config_export = {
 *     "id",
 *     "label",
 *     "uuid",
 *   }
 * )
 */
class PmInvoiceType extends ConfigEntityBundleBase {

  /**
   * The machine name of this Invoice type.
   *
   * @var string
   */
  protected $id;

  /**
   * The human-readable name of the Invoice type.
   *
   * @var string
   */
  protected $label;

}
