<?php

namespace Drupal\pm_note\Entity;

use Drupal\Core\Config\Entity\ConfigEntityBundleBase;

/**
 * Defines the Note type configuration entity.
 *
 * @ConfigEntityType(
 *   id = "pm_note_type",
 *   label = @Translation("Note type"),
 *   label_collection = @Translation("Note types"),
 *   label_singular = @Translation("Note type"),
 *   label_plural = @Translation("Notes types"),
 *   label_count = @PluralTranslation(
 *     singular = "@count Notes type",
 *     plural = "@count Notes types",
 *   ),
 *   handlers = {
 *     "form" = {
 *       "add" = "Drupal\pm_note\Form\PmNoteTypeForm",
 *       "edit" = "Drupal\pm_note\Form\PmNoteTypeForm",
 *       "delete" = "Drupal\Core\Entity\EntityDeleteForm",
 *     },
 *     "list_builder" = "Drupal\pm_note\PmNoteTypeListBuilder",
 *     "route_provider" = {
 *       "html" = "Drupal\Core\Entity\Routing\AdminHtmlRouteProvider",
 *     }
 *   },
 *   admin_permission = "administer pm note types",
 *   bundle_of = "pm_note",
 *   config_prefix = "pm_note_type",
 *   entity_keys = {
 *     "id" = "id",
 *     "label" = "label",
 *     "uuid" = "uuid"
 *   },
 *   links = {
 *     "add-form" = "/admin/pm/note_types/add",
 *     "edit-form" = "/admin/pm/note_types/manage/{pm_note_type}",
 *     "delete-form" = "/admin/pm/note_types/manage/{pm_note_type}/delete",
 *     "collection" = "/admin/pm/note_types"
 *   },
 *   config_export = {
 *     "id",
 *     "label",
 *     "uuid",
 *   }
 * )
 */
class PmNoteType extends ConfigEntityBundleBase {

  /**
   * The machine name of this Note type.
   *
   * @var string
   */
  protected $id;

  /**
   * The human-readable name of the Note type.
   *
   * @var string
   */
  protected $label;

}
