<?php

namespace Drupal\pm_organization\Entity;

use Drupal\Core\Config\Entity\ConfigEntityBundleBase;

/**
 * Defines the Organization type configuration entity.
 *
 * @ConfigEntityType(
 *   id = "pm_organization_type",
 *   label = @Translation("Organization type"),
 *   label_collection = @Translation("Organization types"),
 *   label_singular = @Translation("Organization type"),
 *   label_plural = @Translation("Organizations types"),
 *   label_count = @PluralTranslation(
 *     singular = "@count Organizations type",
 *     plural = "@count Organizations types",
 *   ),
 *   handlers = {
 *     "form" = {
 *       "add" = "Drupal\pm_organization\Form\PmOrganizationTypeForm",
 *       "edit" = "Drupal\pm_organization\Form\PmOrganizationTypeForm",
 *       "delete" = "Drupal\Core\Entity\EntityDeleteForm",
 *     },
 *     "list_builder" = "Drupal\pm_organization\PmOrganizationTypeListBuilder",
 *     "route_provider" = {
 *       "html" = "Drupal\Core\Entity\Routing\AdminHtmlRouteProvider",
 *     }
 *   },
 *   admin_permission = "administer pm organization types",
 *   bundle_of = "pm_organization",
 *   config_prefix = "pm_organization_type",
 *   entity_keys = {
 *     "id" = "id",
 *     "label" = "label",
 *     "uuid" = "uuid"
 *   },
 *   links = {
 *     "add-form" = "/admin/pm/organization_types/add",
 *     "edit-form" = "/admin/pm/organization_types/manage/{pm_organization_type}",
 *     "delete-form" = "/admin/pm/organization_types/manage/{pm_organization_type}/delete",
 *     "collection" = "/admin/pm/organization_types"
 *   },
 *   config_export = {
 *     "id",
 *     "label",
 *     "uuid",
 *   }
 * )
 */
class PmOrganizationType extends ConfigEntityBundleBase {

  /**
   * The machine name of this Organization type.
   *
   * @var string
   */
  protected $id;

  /**
   * The human-readable name of the Organization type.
   *
   * @var string
   */
  protected $label;

}
