<?php

namespace Drupal\pm_organization\Form;

use Drupal\Core\Form\FormStateInterface;
use Drupal\pm\PmContentEntityForm;

/**
 * Form controller for the Organization entity edit forms.
 */
class PmOrganizationForm extends PmContentEntityForm {

  /**
   * {@inheritdoc}
   */
  public function buildForm(array $form, FormStateInterface $form_state) {
    $form = parent::buildForm($form, $form_state);
    // Group Members and Projects under Vertical Tab.
    $form['pm_references'] = [
      '#type' => 'vertical_tabs',
      '#weight' => 15,
      '#title' => $this->t('Settings'),
      'pm_project_fieldset' => [
        '#type' => 'details',
        '#group' => 'pm_references',
        '#title' => $this->t('Project'),
      ],
      'pm_member_fieldset' => [
        '#type' => 'details',
        '#group' => 'pm_references',
        '#title' => $this->t('Member'),
      ],
    ];
    $form['pm_project_list']['#group'] = 'pm_project_fieldset';
    $form['pm_member_list']['#group'] = 'pm_member_fieldset';
    return $form;
  }

}
