<?php

namespace Drupal\pm_persona\Entity;

use Drupal\pm_persona\PmPersonaInterface;
use Drupal\pm\PmContentEntityBase;

/**
 * Defines the Persona entity class.
 *
 * @ContentEntityType(
 *   id = "pm_persona",
 *   label = @Translation("Persona"),
 *   label_collection = @Translation("Personas"),
 *   label_singular = @Translation("Persona"),
 *   label_plural = @Translation("Personas"),
 *   label_count = @PluralTranslation(
 *     singular = "@count Personas",
 *     plural = "@count Personas",
 *   ),
 *   bundle_label = @Translation("Persona type"),
 *   handlers = {
 *     "list_builder" = "Drupal\pm_persona\PmPersonaListBuilder",
 *     "views_data" = "Drupal\views\EntityViewsData",
 *     "access" = "Drupal\pm_persona\PmPersonaAccessControlHandler",
 *     "form" = {
 *       "add" = "Drupal\pm_persona\Form\PmPersonaForm",
 *       "edit" = "Drupal\pm_persona\Form\PmPersonaForm",
 *       "delete" = "Drupal\Core\Entity\ContentEntityDeleteForm",
 *     },
 *     "route_provider" = {
 *       "html" = "Drupal\Core\Entity\Routing\AdminHtmlRouteProvider",
 *     }
 *   },
 *   base_table = "pm_persona",
 *   admin_permission = "administer pm persona types",
 *   entity_keys = {
 *     "id" = "id",
 *     "bundle" = "bundle",
 *     "label" = "label",
 *     "uuid" = "uuid",
 *     "owner" = "uid",
 *   },
 *   links = {
 *     "collection" = "/admin/pm/persona",
 *     "add-form" = "/pm/persona/add/{pm_persona_type}",
 *     "add-page" = "/pm/persona/add",
 *     "canonical" = "/pm/persona/{pm_persona}",
 *     "edit-form" = "/pm/persona/{pm_persona}/edit",
 *     "delete-form" = "/pm/persona/{pm_persona}/delete",
 *   },
 *   bundle_entity_type = "pm_persona_type",
 *   field_ui_base_route = "entity.pm_persona_type.edit_form",
 * )
 */
class PmPersona extends PmContentEntityBase implements PmPersonaInterface {

  /**
   * {@inheritdoc}
   */
  public static function getPmContentEntityBaseFieldNames() {
    return [];
  }

}
