<?php

namespace Drupal\pm_persona\Entity;

use Drupal\Core\Config\Entity\ConfigEntityBundleBase;

/**
 * Defines the Persona type configuration entity.
 *
 * @ConfigEntityType(
 *   id = "pm_persona_type",
 *   label = @Translation("Persona type"),
 *   label_collection = @Translation("Persona types"),
 *   label_singular = @Translation("Persona type"),
 *   label_plural = @Translation("Personas types"),
 *   label_count = @PluralTranslation(
 *     singular = "@count Personas type",
 *     plural = "@count Personas types",
 *   ),
 *   handlers = {
 *     "form" = {
 *       "add" = "Drupal\pm_persona\Form\PmPersonaTypeForm",
 *       "edit" = "Drupal\pm_persona\Form\PmPersonaTypeForm",
 *       "delete" = "Drupal\Core\Entity\EntityDeleteForm",
 *     },
 *     "list_builder" = "Drupal\pm_persona\PmPersonaTypeListBuilder",
 *     "route_provider" = {
 *       "html" = "Drupal\Core\Entity\Routing\AdminHtmlRouteProvider",
 *     }
 *   },
 *   admin_permission = "administer pm persona types",
 *   bundle_of = "pm_persona",
 *   config_prefix = "pm_persona_type",
 *   entity_keys = {
 *     "id" = "id",
 *     "label" = "label",
 *     "uuid" = "uuid"
 *   },
 *   links = {
 *     "add-form" = "/admin/pm/persona_types/add",
 *     "edit-form" = "/admin/pm/persona_types/manage/{pm_persona_type}",
 *     "delete-form" = "/admin/pm/persona_types/manage/{pm_persona_type}/delete",
 *     "collection" = "/admin/pm/persona_types"
 *   },
 *   config_export = {
 *     "id",
 *     "label",
 *     "uuid",
 *   }
 * )
 */
class PmPersonaType extends ConfigEntityBundleBase {

  /**
   * The machine name of this Persona type.
   *
   * @var string
   */
  protected $id;

  /**
   * The human-readable name of the Persona type.
   *
   * @var string
   */
  protected $label;

}
