<?php

namespace Drupal\pm_project\Entity;

use Drupal\Core\Config\Entity\ConfigEntityBundleBase;

/**
 * Defines the Project type configuration entity.
 *
 * @ConfigEntityType(
 *   id = "pm_project_type",
 *   label = @Translation("Project type"),
 *   label_collection = @Translation("Project types"),
 *   label_singular = @Translation("Project type"),
 *   label_plural = @Translation("Projects types"),
 *   label_count = @PluralTranslation(
 *     singular = "@count Projects type",
 *     plural = "@count Projects types",
 *   ),
 *   handlers = {
 *     "form" = {
 *       "add" = "Drupal\pm_project\Form\PmProjectTypeForm",
 *       "edit" = "Drupal\pm_project\Form\PmProjectTypeForm",
 *       "delete" = "Drupal\Core\Entity\EntityDeleteForm",
 *     },
 *     "list_builder" = "Drupal\pm_project\PmProjectTypeListBuilder",
 *     "route_provider" = {
 *       "html" = "Drupal\Core\Entity\Routing\AdminHtmlRouteProvider",
 *     }
 *   },
 *   admin_permission = "administer pm project types",
 *   bundle_of = "pm_project",
 *   config_prefix = "pm_project_type",
 *   entity_keys = {
 *     "id" = "id",
 *     "label" = "label",
 *     "uuid" = "uuid"
 *   },
 *   links = {
 *     "add-form" = "/admin/pm/project_types/add",
 *     "edit-form" = "/admin/pm/project_types/manage/{pm_project_type}",
 *     "delete-form" = "/admin/pm/project_types/manage/{pm_project_type}/delete",
 *     "collection" = "/admin/pm/project_types"
 *   },
 *   config_export = {
 *     "id",
 *     "label",
 *     "uuid",
 *   }
 * )
 */
class PmProjectType extends ConfigEntityBundleBase {

  /**
   * The machine name of this Project type.
   *
   * @var string
   */
  protected $id;

  /**
   * The human-readable name of the Project type.
   *
   * @var string
   */
  protected $label;

}
