<?php

namespace Drupal\pm_status\Form;

use Drupal\Core\Form\FormStateInterface;
use Drupal\pm\PmContentEntityForm;

/**
 * Form controller for the Status entity edit forms.
 */
class PmStatusForm extends PmContentEntityForm {

  /**
   * {@inheritdoc}
   */
  public function save(array $form, FormStateInterface $form_state) {
    $result = parent::save($form, $form_state);

    $entity = $this->getEntity();

    $message_arguments = ['%label' => $entity->toLink()->toString()];
    $logger_arguments = [
      '%label' => $entity->label(),
      'link' => $entity->toLink($this->t('View'))->toString(),
    ];

    switch ($result) {
      case SAVED_NEW:
        $this->messenger()->addStatus($this->t('New Status %label has been created.', $message_arguments));
        $this->logger('pm')->notice('Created new Status %label', $logger_arguments);
        break;

      case SAVED_UPDATED:
        $this->messenger()->addStatus($this->t('The Status %label has been updated.', $message_arguments));
        $this->logger('pm')->notice('Updated Status %label.', $logger_arguments);
        break;
    }

    $form_state->setRedirect('entity.pm_status.collection');

    return $result;
  }

}
