<?php

namespace Drupal\pm_story\Entity;

use Drupal\Core\Config\Entity\ConfigEntityBundleBase;

/**
 * Defines the Story type configuration entity.
 *
 * @ConfigEntityType(
 *   id = "pm_story_type",
 *   label = @Translation("Story type"),
 *   label_collection = @Translation("Story types"),
 *   label_singular = @Translation("Story type"),
 *   label_plural = @Translation("Stories types"),
 *   label_count = @PluralTranslation(
 *     singular = "@count Stories type",
 *     plural = "@count Stories types",
 *   ),
 *   handlers = {
 *     "form" = {
 *       "add" = "Drupal\pm_story\Form\PmStoryTypeForm",
 *       "edit" = "Drupal\pm_story\Form\PmStoryTypeForm",
 *       "delete" = "Drupal\Core\Entity\EntityDeleteForm",
 *     },
 *     "list_builder" = "Drupal\pm_story\PmStoryTypeListBuilder",
 *     "route_provider" = {
 *       "html" = "Drupal\Core\Entity\Routing\AdminHtmlRouteProvider",
 *     }
 *   },
 *   admin_permission = "administer pm story types",
 *   bundle_of = "pm_story",
 *   config_prefix = "pm_story_type",
 *   entity_keys = {
 *     "id" = "id",
 *     "label" = "label",
 *     "uuid" = "uuid"
 *   },
 *   links = {
 *     "add-form" = "/admin/pm/story_types/add",
 *     "edit-form" = "/admin/pm/story_types/manage/{pm_story_type}",
 *     "delete-form" = "/admin/pm/story_types/manage/{pm_story_type}/delete",
 *     "collection" = "/admin/pm/story_types"
 *   },
 *   config_export = {
 *     "id",
 *     "label",
 *     "uuid",
 *   }
 * )
 */
class PmStoryType extends ConfigEntityBundleBase {

  /**
   * The machine name of this Story type.
   *
   * @var string
   */
  protected $id;

  /**
   * The human-readable name of the Story type.
   *
   * @var string
   */
  protected $label;

}
