<?php

namespace Drupal\pm_sub_task\Entity;

use Drupal\Core\Config\Entity\ConfigEntityBundleBase;

/**
 * Defines the Sub Task type configuration entity.
 *
 * @ConfigEntityType(
 *   id = "pm_sub_task_type",
 *   label = @Translation("Sub Task type"),
 *   label_collection = @Translation("Sub Task types"),
 *   label_singular = @Translation("Sub Task type"),
 *   label_plural = @Translation("Sub Tasks types"),
 *   label_count = @PluralTranslation(
 *     singular = "@count Sub Tasks type",
 *     plural = "@count Sub Tasks types",
 *   ),
 *   handlers = {
 *     "form" = {
 *       "add" = "Drupal\pm_sub_task\Form\PmSubTaskTypeForm",
 *       "edit" = "Drupal\pm_sub_task\Form\PmSubTaskTypeForm",
 *       "delete" = "Drupal\Core\Entity\EntityDeleteForm",
 *     },
 *     "list_builder" = "Drupal\pm_sub_task\PmSubTaskTypeListBuilder",
 *     "route_provider" = {
 *       "html" = "Drupal\Core\Entity\Routing\AdminHtmlRouteProvider",
 *     }
 *   },
 *   admin_permission = "administer pm sub task types",
 *   bundle_of = "pm_sub_task",
 *   config_prefix = "pm_sub_task_type",
 *   entity_keys = {
 *     "id" = "id",
 *     "label" = "label",
 *     "uuid" = "uuid"
 *   },
 *   links = {
 *     "add-form" = "/admin/pm/sub_task_types/add",
 *     "edit-form" = "/admin/pm/sub_task_types/manage/{pm_sub_task_type}",
 *     "delete-form" = "/admin/pm/sub_task_types/manage/{pm_sub_task_type}/delete",
 *     "collection" = "/admin/pm/sub_task_types"
 *   },
 *   config_export = {
 *     "id",
 *     "label",
 *     "uuid",
 *   }
 * )
 */
class PmSubTaskType extends ConfigEntityBundleBase {

  /**
   * The machine name of this Sub Task type.
   *
   * @var string
   */
  protected $id;

  /**
   * The human-readable name of the Sub Task type.
   *
   * @var string
   */
  protected $label;

}
