<?php

namespace Drupal\pm_sub_task;

use Drupal\Core\Config\Entity\ConfigEntityListBuilder;
use Drupal\Core\Entity\EntityInterface;
use Drupal\Core\Url;

/**
 * Defines a class to build a listing of Sub Task type entities.
 *
 * @see \Drupal\pm_sub_task\Entity\PmSubTaskType
 */
class PmSubTaskTypeListBuilder extends ConfigEntityListBuilder {

  /**
   * {@inheritdoc}
   */
  public function buildHeader() {
    $header = [];
    $header['title'] = $this->t('Label');

    return $header + parent::buildHeader();
  }

  /**
   * {@inheritdoc}
   */
  public function buildRow(EntityInterface $entity) {
    $row = [];
    $row['title'] = [
      'data' => $entity->label(),
      'class' => ['menu-label'],
    ];

    return $row + parent::buildRow($entity);
  }

  /**
   * {@inheritdoc}
   */
  public function render() {
    $build = parent::render();

    $build['table']['#empty'] = $this->t(
      'No Sub Task types available. <a href=":link">Add Sub Task type</a>.',
      [':link' => Url::fromRoute('entity.pm_sub_task_type.add_form')->toString()]
    );

    return $build;
  }

}
