<?php

namespace Drupal\pm_timetracking\Entity;

use Drupal\Core\Config\Entity\ConfigEntityBundleBase;

/**
 * Defines the Time-tracking type configuration entity.
 *
 * @ConfigEntityType(
 *   id = "pm_timetracking_type",
 *   label = @Translation("Time-tracking type"),
 *   label_collection = @Translation("Time-tracking types"),
 *   label_singular = @Translation("Time-tracking type"),
 *   label_plural = @Translation("Time-trackings types"),
 *   label_count = @PluralTranslation(
 *     singular = "@count Time-trackings type",
 *     plural = "@count Time-trackings types",
 *   ),
 *   handlers = {
 *     "form" = {
 *       "add" = "Drupal\pm_timetracking\Form\PmTimetrackingTypeForm",
 *       "edit" = "Drupal\pm_timetracking\Form\PmTimetrackingTypeForm",
 *       "delete" = "Drupal\Core\Entity\EntityDeleteForm",
 *     },
 *     "list_builder" = "Drupal\pm_timetracking\PmTimetrackingTypeListBuilder",
 *     "route_provider" = {
 *       "html" = "Drupal\Core\Entity\Routing\AdminHtmlRouteProvider",
 *     }
 *   },
 *   admin_permission = "administer pm timetracking types",
 *   bundle_of = "pm_timetracking",
 *   config_prefix = "pm_timetracking_type",
 *   entity_keys = {
 *     "id" = "id",
 *     "label" = "label",
 *     "uuid" = "uuid"
 *   },
 *   links = {
 *     "add-form" = "/admin/pm/timetracking_types/add",
 *     "edit-form" = "/admin/pm/timetracking_types/manage/{pm_timetracking_type}",
 *     "delete-form" = "/admin/pm/timetracking_types/manage/{pm_timetracking_type}/delete",
 *     "collection" = "/admin/pm/timetracking_types"
 *   },
 *   config_export = {
 *     "id",
 *     "label",
 *     "uuid",
 *   }
 * )
 */
class PmTimetrackingType extends ConfigEntityBundleBase {

  /**
   * The machine name of this Time-tracking type.
   *
   * @var string
   */
  protected $id;

  /**
   * The human-readable name of the Time-tracking type.
   *
   * @var string
   */
  protected $label;

}
